summaryrefslogtreecommitdiffhomepage
path: root/runsc/test/image/ruby.sh
diff options
context:
space:
mode:
authorFabricio Voznika <fvoznika@google.com>2018-09-28 15:51:36 -0700
committerShentubot <shentubot@google.com>2018-09-28 15:52:33 -0700
commit49ff81a42b51a3fa2ee139e1e86179fa0c427a86 (patch)
tree35194b1301a589cf5ff830f84f8b7c984f88f0a5 /runsc/test/image/ruby.sh
parent2496d9b4b6343154525f73e9583a4a60bebcfa30 (diff)
Add ruby image tests
PiperOrigin-RevId: 215009066 Change-Id: I54ab920fa649cf4d0817f7cb8ea76f9126523330
Diffstat (limited to 'runsc/test/image/ruby.sh')
-rw-r--r--runsc/test/image/ruby.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/runsc/test/image/ruby.sh b/runsc/test/image/ruby.sh
new file mode 100644
index 000000000..54be2c931
--- /dev/null
+++ b/runsc/test/image/ruby.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+# Copyright 2018 Google Inc.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -e
+
+gem install sinatra
+ruby /src/ruby.rb